<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.5.xsd">
    <!--
        Added the constraints for entity ItemIssuance.
    -->
    <changeSet id="20170101000000-2" author="jhipster">
        
        <addForeignKeyConstraint baseColumnNames="idshiite"
                                 baseTableName="item_issuance"
                                 constraintName="fk_item_issuance_shipment_item_id"
                                 referencedColumnNames="idshiite"
                                 referencedTableName="shipment_item"/>

        <addForeignKeyConstraint baseColumnNames="idinvite"
                                 baseTableName="item_issuance"
                                 constraintName="fk_item_issuance_inventory_item_id"
                                 referencedColumnNames="idinvite"
                                 referencedTableName="inventory_item"/>

        <addForeignKeyConstraint baseColumnNames="idslip"
                                 baseTableName="item_issuance"
                                 constraintName="fk_item_issuance_picking_id"
                                 referencedColumnNames="idslip"
                                 referencedTableName="inventory_movement"/>

    </changeSet>
</databaseChangeLog>
